org.apache.flume.tools

## Class DirectMemoryUtils

- java.lang.Object
- - org.apache.flume.tools.DirectMemoryUtils

-     public class DirectMemoryUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectMemoryUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ByteBuffer` | `allocate(int size)`
    `static void` | `clean(ByteBuffer buffer)`
    `static long` | `getDirectMemorySize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectMemoryUtils

          public DirectMemoryUtils()

  - ### Method Detail

    - #### allocate

          public static ByteBuffer allocate(int size)

    - #### clean

          public static void clean(ByteBuffer buffer)
                            throws Exception

      Throws:
        `Exception`

    - #### getDirectMemorySize

          public static long getDirectMemorySize()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.